%define debug_package %{nil}

Name:           sassc
Version:        3.5.0
Release:        2
Summary:        Libsass command line driver
License:        MIT
URL:            https://github.com/sass/sassc
Source0:        https://github.com/sass/sassc/archive/3.5.0.tar.gz

BuildRequires:  libsass-devel libsass
Requires:       libsass

%description
SassC is a wrapper around libsass (http://github.com/sass/libsass) used to generate a useful
command-line application that can be installed and packaged for several operating systems.

SassC currently statically links the libsass library, but might one day using dynamic linking
if libsass supports that in the future.

%prep
%autosetup -p1

%build
sed -i.bak '
/^$(SASSC_EXE):/s/libsass//
/^build-shared:/s/$(LIB_SHARED)//
s|-L$(SASS_LIBSASS_PATH)/lib||g' Makefile

%make_build BUILD="shared"

%install
install -Dpm 0755 bin/%{name} %{buildroot}%{_bindir}/%{name}
rm -rf docs/**/*windows*

%check
./bin/%{name} -h
./bin/%{name} -v

%files
%doc docs/* Readme.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Thu Jan 03 2020 catastrowings <jianghuhao1994@163.com> - 3.5.0-2
- openEuler init
